
Redmine - Defect #13537

Filters will show issues with unused custom fields.

2013-03-20 16:10 - Erik Jonsson

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 2.4.0   

Resolution: Fixed Affected version: 2.2.1

Description

If I create a filter that looks for a particular value in a custom field,

issues that are in a project where the custom field has been removed

will show up as matches. This is strange and annoying! Why should a filter

match if the custom field is inactive in the project settings that

the searched issue belongs to?

Another way to explain this is that the results from this SQL-query

should not be returned when you search with a custom-field filter.

select 

    i.id, p.name, concat("\"", cv.value, "\"")

from 

    issues i, projects p, custom_values cv                             

where 

    i.project_id = p.id and

    i.id = cv.customized_id and

    cv.custom_field_id not in 

        (select custom_field_id from custom_fields_projects where p.id = project_id)

order by name, custom_field_id;

Associated revisions

Revision 12133 - 2013-09-13 19:41 - Jean-Philippe Lang

Filters show issues with unused custom fields (#13537).

History

#1 - 2013-03-22 08:42 - Jean-Philippe Lang

- Status changed from New to Confirmed

#2 - 2013-03-22 10:58 - Etienne Massip

- Target version set to Candidate for next minor release

#3 - 2013-09-13 19:42 - Jean-Philippe Lang

- Category changed from Projects to Custom fields

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 2.4.0

- Resolution set to Fixed

The same happens if a field is disabled on a tracker. This is fixed in r12133, thanks for pointing this out.
